Method: networks.creatives.batchUpdate

Batch updates Creative objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/creatives:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where Creatives will be updated. Format: networks/{networkCode} The parent field in the UpdateCreativeRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateCreativeRequest)
    }
  ]
}
Fields
requests[]

object (UpdateCreativeRequest)

Required. The Creative objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for creatives.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "creatives": [
    {
      object (Creative)
    }
  ]
}
Fields
creatives[]

object (Creative)

The Creative objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateCreativeRequest

Request object for creatives.patch method.

JSON representation
{
  "creative": {
    object (Creative)
  },
  "updateMask": string
}
Fields
creative

object (Creative)

Required. The Creative to update.

The Creative's name is used to identify the Creative to update. Format: networks/{networkCode}/creatives/{creativeId}

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".